%define name    qelectrotech
%define version 0.2
#define rel     r398
%define release 2

Summary: A tool to design electric diagrams
Name: %{name}
Epoch: 2
Version: %{version}
Release: %mkrel %{release}
License: GPLv2+
Group: Sciences/Other
URL: http://qelectrotech.tuxfamily.org/index.html
Source0: %{name}-%{version}-src.tar.gz
Source1: qelectrotech.xml
Patch0: fix_qelectrotech_pro.patch
Patch1: add_to_change_to_pro.patch
Patch2: r723-xavier.diff
Patch3: r724-xavier.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qt4-devel
BuildRequires: desktop-file-utils

%description
%{name} is a tool to design electric diagrams.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl -i -pe "s|COMPIL_PREFIX_TO_CHANGE|/usr/|g" qelectrotech.pro
perl -i -pe "s|INSTALL_PREFIX_TO_CHANGE|$RPM_BUILD_ROOT/usr/|g" qelectrotech.pro
qmake
make

%install
rm -rf $RPM_BUILD_ROOT
make install

desktop-file-install \
  --remove-category="Office" \
  --remove-category="Qt" \
  --remove-category="VectorGraphics" \
  --remove-category="Science" \
  --remove-category="Electricity" \
  --remove-category="Engineering" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Electricity" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# add the association file
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mime/packages/
install %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/mime/packages/%{name}.xml

# remove useless file
rm -rf $RPM_BUILD_ROOT/usr/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/application/x-qet-element.xml
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/application/x-qet-project.xml
rm -rf $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-qet-element.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-qet-project.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CREDIT ELEMENTS.LICENSE INSTALL LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/fr.ISO8859-1/man1/%{name}.1.lzma
%{_mandir}/fr.UTF-8/man1/%{name}.1.lzma
%{_mandir}/fr/man1/%{name}.1.lzma
%{_mandir}/man1/%{name}.1.lzma
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/mimetypes/*.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/mimetypes/*.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/mimetypes/*.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/mimetypes/*.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/*.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/mimetypes/*.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/mimetypes/*.png


%changelog
* Fri Jul 31 2009 trem <trem@mandriva.org> 2:0.2-2mdv2010.0
+ Revision: 404839
- add patch r723-xavier.diff and r724-xavier.diff that fix a bug with tabs when linked with qt 4.5

* Tue Jun 30 2009 trem <trem@mandriva.org> 2:0.2-1mdv2010.0
+ Revision: 391107
- update to 0.2

* Sun Jun 21 2009 trem <trem@mandriva.org> 1:0.2rc2-1mdv2010.0
+ Revision: 387637
- update 0.2rc2

* Tue Jun 16 2009 trem <trem@mandriva.org> 1:0.2rc1-1mdv2010.0
+ Revision: 386424
- update to 0.2rc1

* Tue May 26 2009 trem <trem@mandriva.org> 1:0.2b-1mdv2010.0
+ Revision: 380027
- use epoch to force 0.2b version
- update to 0.2b
- remove fix_manpage.patch and fix_contextual_menu.patch
- remove man_fr_utf8.tar.bz2 (added upstream)

* Sat Nov 01 2008 trem <trem@mandriva.org> 0.11-8mdv2009.1
+ Revision: 299188
- fix association file

* Mon Oct 20 2008 trem <trem@mandriva.org> 0.11-7mdv2009.1
+ Revision: 295458
- add patch fix_contextual_menu.patch

* Wed Oct 15 2008 trem <trem@mandriva.org> 0.11-6mdv2009.1
+ Revision: 294077
- fix acces to scheme and lang
- add patch add_to_change_to_pro.patch

* Sat Sep 06 2008 trem <trem@mandriva.org> 0.11-5mdv2009.0
+ Revision: 281983
- bump release because the bs has lost the previous
- use official 0.11 archive file
- add some patch to clean man page
- add fr UTF8 manpage

* Sat Sep 06 2008 trem <trem@mandriva.org> 0.11-3mdv2009.0
+ Revision: 281888
- clean category in .desktop

* Sun Aug 31 2008 trem <trem@mandriva.org> 0.11-2mdv2009.0
+ Revision: 277777
- fix release number (avoid using mkrel twice)
- fix release number (avoid using mkrel twice)

* Sun Aug 31 2008 trem <trem@mandriva.org> 0.11-1mdv2009.0mdv2009.0
+ Revision: 277701
- update to 0.11

* Fri Aug 29 2008 trem <trem@mandriva.org> 0.11-0.r392.1mdv2009.0mdv2009.0
+ Revision: 277095
- import qelectrotech


* Fri Aug 28 2008 trem <trem@mandriva.org> 0.11-0.r392.1mdv2009.0
- Initial build.
